import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'
import vueJsx from '@vitejs/plugin-vue-jsx'
// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueDevTools(),
    vueJsx({ // 注册JSX插件，可传入可选配置（按需添加）
      // 可选配置：开启TSX支持、自定义编译选项等
      tsx: true,
      babelPlugins: []
    })
  ],
  build: {
    chunkSizeWarningLimit: Infinity, // 完全禁用警告
  },
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
})
